SystemOrganization addCategory: #'EFO-MGP-Model'!

PRCase subclass: #MGPTema
	instanceVariableNames: 'date lectures crest film filmData poster outline comment gospelFocus gospel keySequences reflection prayer freezed tiempo moment fotos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

MGPTema class
	instanceVariableNames: 'previousMoment'!

MGPTema class
	instanceVariableNames: 'previousMoment'!

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
descriptionText
	^ MAMemoDescription new
		"default: self defaultText;
		parameterName: 'text';
		"accessor: #text;
		priority: 100;
		label: 'Text';
		yourself
"	^ PRDocumentDescription new
		default: self defaultDocument;
		parameterName: 'text';
		accessor: #text;
		label: 'El Texto';
		beRequired;
		yourself"! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 15:13'!
from: aFileDirectory
"	| file |

	[ 
		file := FileStream readOnlyFileNamed: 'LCF\', aFile.
		^ self readChapter: file.

	] ensure: [file close].
		"
		
		
	^ self new initialize: aFileDirectory! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
isAbstract
	^ false! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
manyFrom: aFile
	| newChaps file line |

	newChaps := OrderedCollection new.
	DateMoment resetMoment.

	[ 
		file := FileStream readOnlyFileNamed: 'LCF', FileDirectory pathNameDelimiter asString, aFile.
		[ file nextLine beginsWith: 'MOVY' ] whileTrue: [

			newChaps add: ( self readChapter:  file ).
		].

	^ newChaps.

	] ensure: [file close].
! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
manyFrom: aFile on: newChaps
	| file line stream |

	DateMoment resetMoment.

	[ 
		stream := newChaps readStream.
		file := FileStream readOnlyFileNamed: 'LCF', FileDirectory pathNameDelimiter asString, aFile.
		file ifNotNil: [ 		
			[ file nextLine beginsWith: 'MOVY' ] whileTrue: [
				( self readChapter:  file into: stream next).
			].
		].

	^ newChaps.

	] ensure: [file close].
! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
readAttrs: newChap on: line	
	| matcher |
	newChap freezed: (line includesSubString: 'Locked;').
	newChap tiempo: (TiempoLiturgico keyFrom: line).
	newChap moment: (DateMoment on: line).
! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
readChapter: file
	"PRLCFDistribution new register"
	^ self readChapter: file into: self new.
	! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
readChapter: file into: newChap
	"PRLCFDistribution new register"
	| line |

	self readAttrs: newChap on: file nextLine.
	
	newChap date: ((TransPairDate read: file ) level: 1; yourself ).
"Transcript show: newChap date eng; cr;flush."
	newChap lectures: (Lectures read: file).

	newChap crest: (TransPair read: file nextLine and: file) unanchored.

	newChap film: ((TransPairTitle read: file) level: 2; yourself).

	newChap filmData: (FilmData read: file).

	newChap poster: (Poster read: file).

	self assert: ( file nextLine = 'Outline' ).
	self assert: ( file nextLine isEmpty ).

	newChap outline: (self readSection: file stop: 'Comment').

	newChap comment: (self readSection: file stop: 'Dialogue with the Gospel').

	self assert: (file nextLine beginsWith: 'Focus:').
	self assert: file nextLine isEmpty.
	
	newChap gospelFocus: (TransPair read: file).
	newChap gospel: (self readSection: file stop: 'Some key sequences.').
	newChap keySequences: (self readSection: file stop: 'For reflection and conversation' with: TransPairKeySeq).
	newChap reflection: (self readSection: file stop: 'Prayer' with: TransPair).
	newChap prayer: (TransPair read: file).
	
	^ newChap .! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
readSection: file stop: stop
	^ self readSection: file stop: stop with: TransPair! !

!MGPTema class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:29'!
readSection: file stop: stop with:  transPair
	| line section |
	section := OrderedCollection new.
	
	[ (line := file nextLine) beginsWith: stop ] whileFalse: [
		section add: (transPair read: line and: file ).
	].
	self assert: ( file nextLine isEmpty ).

	^ section.! !

!MGPTema methodsFor: 'comments' stamp: 'efo 6/27/2012 14:29'!
allPairs 
	| pairs |
	pairs := OrderedCollection new.
	pairs add: self date;
		add: self lectures;
		add: self crest;
		add: self film;
		add: self poster;
		addAll: self outline;
		addAll: self comment;
		add: self gospelFocus;
		addAll: self gospel;
		addAll: self keySequences ;
		add: self prayer.

	^  pairs.! !

!MGPTema methodsFor: 'latex' stamp: 'efo 6/27/2012 14:29'!
assurePosterImage
	| file |

	((FileDirectory uri: 'resources/') fileExists: self chapterFileName, '.jpg' ) ifFalse: [
		[ 
			file  := FileStream fileNamed: ( 'resources', FileDirectory pathNameDelimiter asString, self chapterFileName, '.jpg' ).
			file binary.	
			file nextPutAll: (HTTPSocket httpGet: self poster link) contents. 
		] ensure: [file close].
	].! !

!MGPTema methodsFor: 'latex' stamp: 'efo 6/27/2012 14:29'!
chapterFileName 
	^ self parent name, '_', self name.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
comment
	^ comment ifNil: [ comment := OrderedCollection new ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
comment: anObject
	comment := anObject! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
crest
	^ crest! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
crest: aPair
	crest := aPair! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
date
	^ date! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
date: aByteString 
	date := aByteString.
	self name: date eng asLegalSelector.
	self title: date eng.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
film
	^ film! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
film: aByteString 
	film := aByteString! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
filmData
	^ filmData.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
filmData: aFilmData
	filmData := aFilmData.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:41'!
fotos
	^ fotos! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:41'!
fotos: aPair
	fotos := aPair! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
freezed
	^ freezed ifNil: [ freezed := false ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
freezed: lock
	freezed := lock.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
gospel
	^ gospel  ifNil: [ gospel := OrderedCollection new ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
gospel: anObject
	gospel := anObject! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
gospelFocus
	^ gospelFocus! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
gospelFocus: anObject
	gospelFocus := anObject! !

!MGPTema methodsFor: 'comments' stamp: 'efo 6/27/2012 14:29'!
hasChanges

    ^ (self allPairs select: [ :pair | pair changes isEmpty not ]) isEmpty not! !

!MGPTema methodsFor: 'comments' stamp: 'efo 6/27/2012 14:29'!
hasComments

    ^ (self allPairs select: [ :pair | pair comments isEmpty not ]) isEmpty not! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/28/2012 12:17'!
initialize: aFileDirectory

	self name: aFileDirectory name asLegalSelector.
	self title: aFileDirectory name.
	self fotos: (aFileDirectory asFileDirectory entries collect: [ :entry | MGPTemaEntry from: entry ])! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
keySequences
	^ keySequences  ifNil: [ keySequences := OrderedCollection new ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
keySequences: anObject
	keySequences := anObject! !

!MGPTema methodsFor: 'latex' stamp: 'efo 6/27/2012 14:29'!
latex
"	self latexOn: 'LCF', FileDirectory pathNameDelimiter asString, self name, '.tex'."
	| file |
	[ 
		file  := MultiByteFileStream forceNewFileNamed: ( 'LCF', FileDirectory pathNameDelimiter asString, 
													'tex', FileDirectory pathNameDelimiter asString,
														self chapterFileName, '.tex').
"            file lineEndConvention: #crlf."
		file nextPutAll: self latexSingleChapterHeader.

		self latexOn: file.
		
		file nextPutAll: '

\end{document}
'.

	] ensure: [file close].! !

!MGPTema methodsFor: 'latex' stamp: 'efo 6/27/2012 14:29'!
latexOn: html
	| tp |
	
	html nextPutAll: '\chapter*{', self date latex, '\hfill {\Large '; 
		nextPutAll: self parent headTitle; 
		nextPutAll: ': ';
		nextPutAll: self tiempo; 
		nextPutAll: '}}'; cr; cr.
	
	lectures latexOn: html.

	html nextPutAll: '{\Large';cr.
	self crest isMissing ifFalse: [ 
		html nextPutAll: '\emph{'.
		html nextPutAll: self crest latex; nextPutAll: '}'; cr; cr. 
	].

	self film latexOn: html with: self.
	
	self poster isMissing ifFalse: [ 
		self assurePosterImage.
		html nextPutAll: '\begin{figure}[htbp]'; cr.
		html nextPutAll: '\centering'; cr.
		html nextPutAll: '\includegraphics[width=0.4\textwidth]{V:/LigthCameraFaith/Seaside-3.0.5-final/Resources/', self chapterFileName, '.jpg}'; cr.
		html nextPutAll: '\label{fig:cicloa.christmasday}'; cr.
		html nextPutAll: '\end{figure}'; cr; cr.
	].

	self filmData latexOn: html.
	
	html nextPutAll: '\section*{Sinopsis}'; cr;  cr..
	self outline do: [ :line | line latexOn: html ].
	
	html nextPutAll: '\section*{Discusi\''on}'; cr;  cr..
	self comment do: [ :line | line latexOn: html ].
	
	html nextPutAll: '\section*{Di\''alogo con el evangelio}'; cr; cr.
	html nextPutAll: '\textbf{Foco:} '.
	self gospelFocus latexOn: html.

	self gospel do: [ :line | line latexOn: html ].

	html nextPutAll: '\section*{Algunas secuencias clave}'; cr; cr.
	html nextPutAll: '\begin{enumerate}'; cr; cr.
	self keySequences doWithIndex: [ :line :idx | 
		html nextPutAll: '\item ', line latex; cr; cr.
	].
	html nextPutAll: '\end{enumerate}'; nextPut: Character cr; nextPut: Character cr.

	(self reflection anySatisfy: [ :line | line isMissing not ]) ifTrue: [
		html nextPutAll: '\section*{Para conversar y reflexionar}'; cr; cr.
		self reflection do: [ :line | 
			line latexOn: html.
		].
	].


	html nextPutAll: '\section*{Oraci\''on}'; cr; cr.
	self prayer latexOn: html.
	
! !

!MGPTema methodsFor: 'latex' stamp: 'efo 6/27/2012 14:29'!
latexSingleChapterHeader
	^ '\documentclass[a4paper,spanish, 11pt]{report}
\usepackage[activeacute]{babel}
\usepackage{makeidx}
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{psfrag}
\usepackage{amsthm}
\usepackage{amssymb,latexsym}
\usepackage{hyperref}

\addtolength{\oddsidemargin}{-1cm}
\addtolength{\textwidth}{2cm}
\addtolength{\textheight}{1cm}
%\addtolength{\topmargin}{-2cm}
%\addtolength{\textheight}{4cm}

\makeindex

\begin{document}

\DeclareGraphicsExtensions{.eps}



%\frontmatter
%should be the very first command after \begin{document}
%It will switch page numbering to Roman numerals. It is common to
%use the starred sectioning commands (eg \chapter*{Preface}) for
%frontmatter as this stopps LATEX from enumerating them.

\pagestyle{headings}

%% TITULO %%

\title {
\Huge\textbf{Lights, Camera, Faith!!}\\
\vspace{10mm}
\Large A Movie Lectionary Guide to Scripture series\\
\vspace{10mm}
%\vspace{10mm}
}

\author{traducci\''on organizada por miembros de la Comunidad Barat\\
\href{www.comunidadbarat.org}{www.comunidadbarat.org}
}

\maketitle



%\mainmatter
%comes after right befor the first chapter of the book. It turns
%on Arabic page numbering and restarts the page counter.

%\makeindex
%\MakeIndex{}

\hbadness = 10000
\tolerance = 10000

'.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
lectures
	^ lectures ifNil: [ lectures := OrderedCollection new ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
lectures: anObject
	lectures := anObject! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
moment
	^ moment! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
moment: aDate 
	moment := aDate! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
outline
	^ outline   ifNil: [ outline := OrderedCollection new ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
outline: anObject
	outline := anObject! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
poster
	^ poster.! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
poster: anObject
	poster := anObject! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
prayer
	^ prayer! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
prayer: aByteString 
	prayer := aByteString! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
reflection
"	^ reflection ifNil: [ reflection := OrderedCollection new ]."
		^ reflection ifNil: [ reflection := OrderedCollection with: (TransPair on: '<sin definir>' and: '') with: (TransPair on: '<sin definir>' and: '') with: (TransPair on: '<sin definir>' and: '') ].! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
reflection: aByteString 
	reflection := aByteString! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
summary
	^ 'resumen'! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
tiempo
	^ tiempo! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
tiempo: aByteString 
	tiempo := aByteString! !

!MGPTema methodsFor: 'counting' stamp: 'efo 6/27/2012 14:29'!
translationProgress
	^ ( ( ( self wordCount - self wordsPendant ) / self wordCount  ) * 100 ) asInteger 

	
! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:52'!
viewComponentClass
	^ MGPTemaView! !

!MGPTema methodsFor: 'counting' stamp: 'efo 6/27/2012 14:29'!
wordCount

	^ self date wordCount + 
		self film wordCount + 
		(self outline inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) + 
		(self comment inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) +
		self gospelFocus wordCount +
		(self gospel inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) +
		(self keySequences inject: 0 into:  [ : sum :pair | sum + pair wordCount ]) + 
		self prayer wordCount.


	
! !

!MGPTema methodsFor: 'counting' stamp: 'efo 6/27/2012 14:29'!
wordsPendant

	^ self date wordsPendant + 
		self film wordsPendant + 
		(self outline inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) + 
		(self comment inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) +
		self gospelFocus wordsPendant +
		(self gospel inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) +
		(self keySequences inject: 0 into:  [ : sum :pair | sum + pair wordsPendant ]) + 
		self prayer wordsPendant.


	
! !

!MGPTema methodsFor: 'accessing' stamp: 'efo 6/27/2012 14:29'!
writeOn: html
	| tp |

	self freezed ifTrue: [ html nextPutAll: 'Locked;' ].
	html nextPutAll:  ' Tiempo<', self tiempo, '>;'.
	self moment writeOn: html.
	html cr.
		
	self date writeOn: html.

	self lectures writeOn: html.
	self crest writeOn: html.
	self film writeOn: html.
	self filmData writeOn: html.
	self poster writeOn: html.
	
	html nextPutAll: 'Outline'; cr; cr.
	self outline do: [ :line | line writeOn: html ].
	
	html nextPutAll: 'Comment'; cr; cr.
	self comment do: [ :line | line writeOn: html ].
	
	html nextPutAll: 'Dialogue with the Gospel'; cr; cr.	
	html nextPutAll: 'Focus:'; cr; cr.	
	self gospelFocus writeOn: html.
	self gospel do: [ :line | line writeOn: html ].

	html nextPutAll: 'Some key sequences.'; cr; cr.
	self keySequences doWithIndex: [ :line :idx | 
		line idx: idx.
		line writeOn: html ].

	html nextPutAll: 'For reflection and conversation'; cr; cr.
	self reflection do: [ :line | line writeOn: html ].

	html nextPutAll: 'Prayer'; cr; cr.
	self prayer writeOn: html.! !

PRDistribution subclass: #PRMGPDistributionOld
	instanceVariableNames: 'book sidechaptertreeWidget logoutCommandWidget logOutUserPage logcommandsPage userstatusWidget logInUserPage savePage bookEnvironmentPage inicioPage homeEnvironmentPage contactoPage proyectoPage bookA bookB bookC colaborarPage ocultaPage progressPage adminMenuWidget changesPage commentsPage bookEnvironmentPageA bookEnvironmentPageB sidechaptertreeWidgetA sidechaptertreeWidgetB sessionsPage glosarios glosariosEnvironmentPage sideglosariosWidget nextChapter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

!PRMGPDistributionOld class methodsFor: 'as yet unclassified' stamp: 'efo 6/26/2012 15:47'!
title
	^ 'Ligth, Camera, Fayth'! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
ElogInUserPage

	| command |
	
	^ logInUserPage ifNil: [
		command := (PRComponent named: 'justlogin')
			title: 'Just Login Command';
			componentClass: PRCommandsWidget;
			write: (Array with: PULogin) using: PRCommandsWidget descriptionCommandClasses ;
			yourself.
			
		logInUserPage := (PRPage named: 'loginuser') 
		addChild: ((PRComponent named: 'widget') componentClass: PRVisitorUserGroup; yourself);
		addChild: (command);
		contents: '+widget+ +justlogin+';
		yourself
	]
! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
ElogOutUserPage

	| command |
	command := (PRComponent named: 'justlogout')
		title: 'Just Logout Command';
		componentClass: PRCommandsWidget;
		write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
		yourself.
	
	^ logOutUserPage ifNil: [
		logOutUserPage := (PRPage named: 'logoutuser') 
		addChild: (command);
		contents: 'Logged in as +value:user+ (+justlogout+?)';
		yourself
	]
! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
ElogcommandsPage
	^ logcommandsPage ifNil: [
		logcommandsPage := (PRPage named: 'logcommands') 
		addChild: ((PRComponent named: 'logOutWidget') componentClass: PRLogOutCommandsWidget; yourself);
		contents: '+logOutWidget+';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
EloggedInUserPage
	| outCommand inCommand |
	^ loggedInUserPage ifNil: [
		outCommand := (PRComponent named: 'justlogout')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
		inCommand := (PRComponent named: 'justlogin2')
			title: 'Just Login Command';
			componentClass: PRCommandsWidget;
			write: (Array with: PULogin) using: PRCommandsWidget descriptionCommandClasses ;
			yourself.
						
		loggedInUserPage := (PRPage named: 'loggedinuser') 
		addChild: ((PRComponent named: 'widget') componentClass: LCFUserStatus; yourself);
		addChild: inCommand;
		addChild: outCommand;
		contents: '+widget+ +justlogout+ +justlogin2+';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
ElogoutCommandWidget
	^ logoutCommandWidget ifNil: [
		logoutCommandWidget := (PRComponent named: 'justlogoutcommand')
		title: 'Just Logout Command';
		componentClass: PRCommandsWidget;
		write: (Array with: PULogout) using: PRCommandsWidget descriptionCommandClasses ;
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
EsavePage
	| commandSave commandLoad |
	^ savePage ifNil: [
		commandSave := (PRComponent named: 'savepagecomp')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: LCFSave) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
		commandLoad := (PRComponent named: 'loadpagecomp')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: (Array with: LCFLoad) using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
			
		savePage := (PRPage named: 'savepage') 
		addChild: commandSave;
		addChild: (commandLoad);
		contents: '+savepagecomp+ +loadpagecomp+';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
aboutPage
	^ aboutPage ifNil: [
		super aboutPage title: 'Agenda';
					contents: '
{{{<iframe src="https://www.google.com/calendar/embed?src=8efgm1lnduf72vl1a9eucobrks%40group.calendar.google.com&ctz=America/Argentina/Buenos_Aires" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>}}}

_

!!Como est construido este sitio
', super aboutPage contents; 
				yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
adminMenuPage
	^ adminMenuWidget ifNil: 
		[ adminMenuWidget := (PRPage named: 'adminMenu')
			contents:
'- *Home>/*
- *Proyecto>/proyecto*
- *Colaborar>/colaborar*
- *Contacto>/contacto*
- *Avance>/progress*
- *About>/about*';
			yourself ]! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
book
	^ book! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
book: aLFCBook 
	book := aLFCBook! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
bookA
	^ bookA ifNil: [ 
		"book := "
		bookA := (LCFBook named: 'cicloa')
			title: self headTitle, ' - Ciclo A'; 
			headTitle: 'Ciclo A'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookA';
			load;
			yourself
	]. ! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
bookB
	^ bookB ifNil: [ 
		bookB := (LCFBook named: 'ciclob')
			title: self headTitle, ' - Ciclo B'; 
			headTitle: 'Ciclo B'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookB';
			load;
			yourself
	]. ! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
bookC
	^ bookC ifNil: [ 
		bookC := (LCFBook named: 'cicloc')
			title: self headTitle, ' - Ciclo C'; 
			headTitle: 'Ciclo C'; 
			localEnvironment: self bookEnvironmentPage;
			filename: 'bookC';
			load;
			yourself
	]. ! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
bookEnvironmentPage
	^ bookEnvironmentPage ifNil: [
		bookEnvironmentPage := (PRPage named: 'bookenvironment')
		title: '_Book Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertree+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
bookEnvironmentPageA
	^ bookEnvironmentPageA ifNil: [
		bookEnvironmentPageA := (PRPage named: 'bookenvironmenta')
		title: '_Book EnvironmentA';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertreea+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
bookEnvironmentPageB
	^ bookEnvironmentPageB ifNil: [
		bookEnvironmentPageB := (PRPage named: 'bookenvironmentb')
		title: '_Book EnvironmentB';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-6">}}}
 			+/system/components/logStatusUser+


			+/system/components/sidechaptertreeb+{{{</div>
		<div class="contents column prepend-1 span-13 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
buildGroups 
	{ PUGroup named: 'corrector'. PUGroup named: 'traductor'. PUGroup named: 'registered' } do: [ :each |
		self kernel groups add: each.
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
buildUsers
	LCFLoadUsers buildUsers: self kernel.! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
changesPage
	^ changesPage ifNil: [
		changesPage := (LCFChanges named: 'changes') 
			title: self headTitle, ' - Cambios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
chapters
	^ self bookA chapters, self bookB chapters, self bookC chapters! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
commentsPage
	^ commentsPage ifNil: [
		commentsPage := (LCFComments named: 'comments') 
			title: self headTitle, ' - Comentarios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
efoWidget
	^ (PRComponent named: 'transPair')
		title: 'Translation Pair';
		componentClass: LCFPairWidget;
		yourself
	! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
environmentPage
	^ environmentPage ifNil: [
		environmentPage := (PRPage named: 'environment')
		title: '_Environment';
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<h1 class="heading">}}}+>value:structure|level=2+{{{</h1>
		<h1>}}}+>value:structure|level=0|lower=3+{{{</h1>
		<div class="column span-14 contents">
			}}}+/system/components/contents+{{{
		</div>
		<div class="column span-6 prepend-6 last sidebar">
			<h2>Navigation</h2>
			}}}+/system/components/children+{{{
		</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
footerPage
	^ footerPage ifNil: [
		footerPage := (PRPage named: 'footer')
		contents:
'{{{<div class="footer column span-20 last">
	<div class="column span-18">
		}}}
		{{{
		<div class="commands">}}}+/system/components/commands+{{{</div>
		<div class="views">}}}+/system/components/views+{{{</div>
		<div class="sitemap">}}}+/system/components/sitemap+{{{</div>
	</div>
	<div class="column span-6 last">}}}+/system/components/poweredby+{{{</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
glosarios
	^ glosarios ifNil: [ 
		glosarios := (LCFGlosarios named: 'glosarios')
			title: self headTitle, ' - Glosarios'; 
"			headTitle: 'Glosarios'; "
			localEnvironment: self glosariosEnvironmentPage;
			yourself
	]. ! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
glosariosEnvironmentPage
	^ glosariosEnvironmentPage ifNil: [
		glosariosEnvironmentPage := (PRPage named: 'glosariosenvironment')
		title: '_Glosarios Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-4">}}}
 			+/system/components/logStatusUser+


			+/system/components/sideglosarios+{{{</div>
		<div class="contents column prepend span-15 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
headerPage
	^ headerPage ifNil: [
		headerPage := (PRPage named: 'header')
		contents:
'{{{<div class="column span-20 last header">
	<div class="menu">}}}+/system/components/menu|menu+{{{</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
homeEnvironmentPage
	^ homeEnvironmentPage ifNil: [
		homeEnvironmentPage := (PRPage named: 'homeenvironment')
		title: '_Home Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-20 last mainbody">
		<div class="postticker column prepend-0 span-3 last">}}}
 			+/system/components/logStatusUser+
			{{{</div>
		<div class="contents column prepend-1 span-16 last">}}}+/system/components/contents+{{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:48'!
kernel
	^ kernel ifNil: [
		kernel := PRKernel named: 'Ma Gabriela Prints'.
		kernel root: self root.
		kernel
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
logStatusUserPage
	| commnads |
	^ loggedInUserPage ifNil: [
		commnads := (PRComponent named: 'userCommnads')
			title: 'Just Logout Command';
			componentClass: PRCommandsWidget;
 			write: {PULogout. PULogin. LCFSave. LCFLoad. } using: PRCommandsWidget descriptionCommandClasses ;
 			yourself.
			
		loggedInUserPage := (PRPage named: 'logStatusUser') 
		addChild: ((PRComponent named: 'widget') componentClass: LCFUserStatus; yourself);
		addChild: commnads;
		addChild:  ((PRComponent named: 'reloadUserCommnads')
			title: 'reload user command';
			componentClass: PRCommandsWidget;
 			write: { LCFLoadUsers } using: PRCommandsWidget descriptionCommandClasses;
 			yourself);
		contents: '+widget+ {{{
		<div class="userCommandMenu">
			}}}+userCommnads+ 
			+reloadUserCommnads+
			{{{
		</div>
			}}}';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 16:06'!
mainEnvironmentPage
	^ mainEnvironmentPage ifNil: [
		mainEnvironmentPage := (PRPage named: 'mainenvironment')
		title: '_Main Environment';
		localEnvironment: self metaEnvironmentPage;
		contents: 
'{{{<div class="container">}}} header
	+/system/components/header+ header {{{
	<div class="column span-24 last mainbody">
		<h1 class="heading">}}} struct +value:structure+ struct  {{{</h1>
		<div class="contents column span-12">}}} contents +/system/components/contents+ contents {{{</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
makeCorrector: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'corrector' ifNone: []).
! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
makeLogged: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'registered' ifNone: []).
! !

!PRMGPDistributionOld methodsFor: 'accessing' stamp: 'efo 6/26/2012 15:47'!
makeUsable: aStructure

	aStructure securityDecoration owner: (self kernel userNamed: 'admin' ifNone: []).
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: (self kernel groupNamed: 'admin' ifNone: []).
! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:59'!
menuPage
	^ menuWidget ifNil: 
		[ menuWidget := (PRPage named: 'menu')
			addChild: ((PRComponent named: 'pc') componentClass: LCFProximoChapter; yourself);
			contents:
'- *Home>/*
- *Ciclo A>/cicloa*
- *Ciclo B>/ciclob*
- *Ciclo C>/cicloc*
- *Glosarios>/glosarios*
- *Proyecto>/proyecto*
- *Colaborar>/colaborar*
- *Contacto>/contacto*

- *Avance>/progress*
- *Cambios>/changes*
- *Comentarios>/comments*
- *Usuarios>/sessions*
- *About>/about*
';
			yourself ]! !

!PRMGPDistributionOld methodsFor: 'enviroments' stamp: 'efo 6/26/2012 15:47'!
metaEnvironmentPage
	^ metaEnvironmentPage ifNil: [
		metaEnvironmentPage := (PRPage named: 'metaenvironment')
		title: '_Meta Environment';
"		hideFromMenus: true;"
		contents: '{{{<div class="container metaenvironment">
	<div class="span-20 last metaheader">
		Meta page: }}}+/system/components/breadcrumb+{{{
	</div>
	<div class="span-20 last">
		}}}+/system/components/contents+{{{
	</div>
	<div class="span-20 last metafooter">
		<div class="span-10">}}}+/system/components/commands+{{{</div>
		<div class="span-10 last">}}}+/system/components/sitemap+{{{</div>
	</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
nextChapter
	^ nextChapter ifNil: [
		nextChapter := (PRComponent named: 'proximocapitulo')
		title: 'Proximo capitulo';
		componentClass: LCFProximoChapter;
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
ocultaPage
	^ ocultaPage ifNil: [
		ocultaPage := (PRPage named: 'oculta') 
			title: self headTitle, ' - Oculta'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 
'Este proyecto surge en el seno de la *Comunidad Barat>http://www.comunidadbarat.org/* con la intencin de acercar a sus miembros el anuncio de la Palabra desde los medios audio visuales.

Colaborando desinteresadamente logramos desarrollar este espacio, que ahora abrimos a todas las comunidades, y tiene como finalidad la traducion de los textos y su compilacin final en espaol en un docuemto electrnico que pueda ser descargado libremente y sin fines de lucro.

Peter Malone, sacerdote, crtico de cine y autor de los tres libros, cedi generosamente los textos originales y di su autorizacin para la publicacion final en espaol.

Para poder colaborar es necesario registrase, por favor siga los pasos indicados en *Contacto>/contacto*.

'; yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
peterPage
	^ (PRPage named: 'peterMalone') 
			title: self headTitle, ' - Peter Malone Bio'; 
			localEnvironment: self homeEnvironmentPage;
			contents: 'Nota: El *website de Peter Malone>http://www.signis.net/malone/* 
contiene comentarios sobre varios cientos de films, sus crticas desde 2009, 
posiciones de SIGNIS sobre algunos films particulares, 
entrevistas con directores Australianos y 
el SIGNIS Film Reviewing Project.

|""Peter Malone""|+http://www.signis.net/malone/img/wiki_up/Malone.jpg+|
!!!!!!CV/Breve


;Nacido
:Sydney, NSW, Australia, 8th August 1939.<br>
;Educacion
:Bowral, NSW.
;Orden Sacerdotal
:Rome, 3rd April, 1965.


!!Estudios
;Arts Degree MA Qual
:(Australian History), Australian National University, Canberra, 1960-8:
;Theology Degree
:Gregorian, Rome, 1962-6.
;Honorary Doctorate in Theology
:Melbourne, College of Divinity, Australia, 2008.


!!Academia
;Daramalan College
:Canberra (High School), 1966-7, 1970.
;Theology and Scripture
:Canberra, 1968-71
;Theology and Scripture
:Yarra Theological Union (Melbourne College of Divinity) 1972-1998
;National Pastoral Institute
:Melbourne, 1973-1988,(including Diploma in Social Communications).
;Director
:Australian Catholic Film Office, 1996-8

;OCIC (Organisation Catholique Internatiionale du Cinema)
:Pacific region, President, 1989-1998.
:Directors'' Committee, 1990-1998.
:World President, 1998-2001
:Contributor to Cine & Media

;SIGNIS (The World Catholic Association for Cinema)
:World President, 2001-2005
:Cinema Desk, director 2006-2010
:Cinema desk, member 2010
:Contributor to SIGNIS Media

!!Publicaciones

!!!!Libros
-The Film, Chevalier Press, Sydney, 1971.
-The Writing on the Wall, Westbooks, Perth, 1973 and 1978.
-200 Movies and Discussions I, Chevalier Press, Sydney, 1973.
-200 Movies and Discussions II, Chevalier Press, Sydney, 1975.
-Films and Values, Chevalier Press, Melbourne, 1978
-The Mystery of Christ, a course introducing theology, Y.T.U., Melbourne, 1983.
-Video at Home, ACTS, Melbourne, 1985.
-Nuclear Films, Spectrum, Melbourne, 1985.
-In Black and White and Colour, Aborigines in Australian Feature Films, Spectrum, Melbourne, 1987.
-Let a Viking Do it, Hagar and Family Illustrate the Myers Briggs Type Indicator, Collins Dove, Melbourne, 1988.
-Movie Christs and Antichrists, Parish Ministry Publications, Sydney, 1988; Crossroad, New York, 1990.
-Discovering an Australian Theology, co-ordinator, St Paul Publications, Sydney, 1988.
-The Australian Video Guide, Collins Dove, Melbourne, 1990.
-Traces of God, Collins Dove, Melbourne, 1991.
-Myers Briggs Goes to the Movies, Spectrum, Melbourne, 1991.
-Worth Watching: 30 Film Reviewers on Review, co-ordinator, Spectrum, Melbourne, 1994.
-Cinema Down Under, Australian Films at Home and to the World, OCIC, Brussels, 1996.
-Mirror, Mirror on the Screen, Type Resources, Gaithersberg, Md. 1996.
-From Back Pews to Front Stalls, Australian Feature Films in 100 years of Cinema, Co-ordinator, Chevalier Press, Sydney, 1996.
-Cinema, Religion and Values, OCIC, Brussels, 1999.  (French version: Festivals et Jurys. Criteres pour l''Attribution des prix).
-Developing an Australian Theology, St Paul Publications, Sydney, 1999.
-The Same as Christ Jesus, Gospel and Type, St Paul Publications, London, 2000.
-My Names,  Nelen Yubu, Sydney, 2000.
-Myth and Meaning, Australian directors in their own words, Currency Press, Sydney, 2001.
-Lights... Camera... Faith... A Movie Lectionary, Cycle A, Pauline Media, Boston, 2001.
-On Screen, Pauline Media, Manila, 2001.
-Lights... Camera... Faith... A Movie Lectionary, Cycle B, Pauline Media, Boston, 2002.
-Lights... Camera... Faith... A Movie Lectionary, Cycle C, Pauline Media, Boston, 2003.
-Can Movies be a Moral Compass? WACC, London, 2005.
-Lights...Camera... Faith...  The Ten Commandments, Pauline Media, Boston, 2006.
-Through a Catholic Lens (editor),  Rowman and Littlefield, 2007.
-Film and Faith,  CFA, Manila, 2008.
-Film and Faith and the Church, CFA, Manila, 2009.
-The Emergence of SIGNIS, Brussels, 2009
-Faith and Sacraments, CFA, Manila, 2011
-Jesus... According to the Scriptures, Chevalier Press, Sydney, 2011
-Film and Mary, CFA, Manila, 2012


!!!!Algunos Artculos
;Christology in the Suburbs: Edward Scissorhands
:in Explorations in Theology and Film, eds, Marsh, Ortiz, Blackwells, Oxford, 1997.
;Jesus on Screen
:in New Images of Religious Film, ed. John R. May, Sheed and Ward, Kansas City, 1997.
;Religion
:in The Oxford Companion to Australian Film, eds. McFarlane, Meyer, Bertrand, OUP, Melbourne, 1999.
;The Roman Catholic Church and Cinema (1967 to the present
:in The Routledge Companion to Religion and Film, ed. John Lyden, London and New York, 2009.
;Catholic Movies
:in The Continuum Companion to Religion and Film, ed. William Blizek, London, 2009.



!!Jurado en Festivales de Cine y Video

;Melbourne International Film Festival
:President of OCIC jury for Annual Award for Short Australian Film, from 1992-1998
:Member of Festival Jury, 1994

;3rd World Religious and Educational Videomarket and
:Videoforum, Drieburgen, Holland, 1992,  
:President of Jury.

;4th World Religious and Educational Videomarket and
:Videoforum, Cologne, Germany, 1996,
:President of Jury.

;European Religious and Educational Videomarket and
:Videoforum, Vilnius, Lithuania, 2000,
:President of Jury.

;Venice Film Festival,
:Member of OCIC jury, 1993, 1994, 1996.
:President of OCIC Jury, 1999, 2000,
:SIGNIS Jury, 2002, 2003, 2004, 2006, 2007. Member, 2008, 2009.

;Berlin Film Festival,
:Member of Ecumenical Jury, 1995,
:President of Ecumenical Jury, 1999.

;Turnhout Film Festival, Focus on the South,
:President of OCIC Jury, 1999.

;Cannes Film Festival,
:President of Ecumenical Jury, 2000.
:President of Future Talents Jury, Semaine de la Critique, 2001.
:President of Ecumenical Jury, 2004

;Troia Film Festival,
:President of OCIC Jury, 2001.

;Montreal Film Festival,
:President of Ecumenical Jury, 2001.
:Member of Jury, 2005.

;Infinity Festival, Alba,
:President of SIGNIS Jury, 2002

;Fajr Film Festival, Tehran,
:President''s award, 2002,
:President of INTERFAITH Jury, 2003, 2004, 2007.
:Member of Spirituality Cinema Jury, 2005, 2008.  

;Hong Kong International Film Festival.  
:President of SIGNIS Jury, 2004

;Dhaka International Film Festival.  
:President of Festival International Jury,
:SIGNIS award.  2006, 2010, 2012.

;Zanzibar International Film Festival,
:President of SIGNIS Jury, 2005, 2006.

;Golden Apricot Festival, Yerevan, Armenia.
:Member of Ecumenical Jury, 2007.

;BAFICI, Buenos Aires, Argentina.
:Member of SIGNIS Jury, 2008.

;Molodist Festival, Kiev, Ukraine.
:President of Ecumenical Jury, 2008.

;Washington International Film Festival.
:Member of SIGNIS Jury, 2009.

;Havana International Film Festival.
:Member of SIGNIS Jury, 2009.'; yourself.! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
progressPage
	^ progressPage ifNil: [
		progressPage := (LCFProgress named: 'progress') 
			title: self headTitle, ' - Progress'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
root
	self rootPage
		addChild: self bookA;
		addChild: self bookB;
		addChild: self bookC;
		addChild: self glosarios;
		addChild: self contactoPage;
		addChild: self colaborarPage;
		addChild: self proyectoPage;
		addChild: self progressPage;
		addChild: self sessionsPage;
		addChild: self changesPage;
		addChild: self commentsPage;
		addChild: self peterPage;
		addChild: self introduccionPage;
		addChild: (self aboutPage
				addChild: self syntaxPage;
				yourself);
		addChild: (self systemPage
			addChild: (self componentsPage
				addChild: self nextChapter;
				addChild: self headerPage;
				addChild: self siteTitlePage;
				addChild: self footerPage;
				addChild: self menuPage;
"				addChild: self adminMenuPage;"
				addChild: self childrenWidget;
				addChild: self breadcrumbWidget;
				addChild: self googleAnalyticsWidget;
				addChild: self sitemapPage;
				addChild: self viewsPage;
				addChild: self commandsPage;				
"				addChild: self logcommandsPage;"
				addChild: self loginCommandWidget;
"				addChild: self logoutCommandWidget;"
				addChild: self contentsWidget;
" 				addChild: self stylesheetFile;
"		 		addChild: self postTickerWidget;
"				addChild: self blogArchiveWidget;"
				addChild: self searchWidget;
				addChild: self poweredPage;
"				addChild: self loggedInUserPage;"
"				addChild: self logOutUserPage;"
				addChild: self logStatusUserPage;
				addChild: self designChooserWidget;
				addChild: self documentWidget;
				addChild: self efoWidget;
				addChild: self sidechaptertreeWidget;
				addChild: self sideglosariosWidget;
" 				addChild: self savePage; "
				yourself);
			addChild: self systemManagementPage;
			addChild: (self templatesPage
				addChild: self environmentPage;
"				addChild: self blogEnvironmentPage;"
				addChild: self mainEnvironmentPage;
				addChild: self bookEnvironmentPage;
				addChild: self glosariosEnvironmentPage;
				addChild: self homeEnvironmentPage;
				addChild: self metaEnvironmentPage;
				yourself
			);
			yourself
		).
"	self blog localEnvironment: self blogEnvironmentPage."
	self aboutPage localEnvironment: self environmentPage.
	self environmentPage localEnvironment: self metaEnvironmentPage.
	self metaEnvironmentPage localEnvironment: self metaEnvironmentPage.
	self systemManagementPage localEnvironment: self metaEnvironmentPage.
"	self rootPage localStyleSheet: self stylesheetFile."
	self rootPage enumerator
		with;
		all;
		do: 
			[ :each | 
			each securityDecoration owner: self kernel users anyOne.
			each securityDecoration group: self kernel groups anyOne ].
	self makePrivate: self systemPage.
	self makePrivate: self environmentPage.
	self makePrivate: self blogEnvironmentPage.
	self makePrivate: self mainEnvironmentPage.
	self makePrivate: self metaEnvironmentPage.
	self makePrivate: self sitemapPage.
	self makePrivate: self viewsPage.
	self makePrivate: self commandsPage.
	self makePrivate: self systemManagementPage.
	
	self buildGroups.
	self buildUsers.

	self makeCorrector: self commentsPage.
	self makeCorrector: self changesPage.
	self makeLogged: self progressPage.
	self makeLogged: self sessionsPage.
	self makeLogged: self aboutPage.

" 	self makePrivate: self logcommandsPage.
 	self makePrivate: self loggedInUserPage.
"  
	^ self rootPage! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 16:07'!
rootPage
	^ rootPage ifNil: [
		rootPage := (PRPage named: 'lcf')	
			title: self headTitle; 
			propertyAt: 'distro' put: self;
			localEnvironment: self mainEnvironmentPage;
			contents:
'A travs de este sitio nos encontramos con la obra del padre Peter Malone 
"Luz, Cmara, Fe!!" editados en tres tomos correspondientes 
a los ciclos litrgicos: *ciclo A>/cicloa*, *ciclo B>/ciclob* y *ciclo C>/cicloc*.

Cada uno de los volmenes cuenta con una amplia lista de pelculas que se sugieren una a una para cada domingo del ao, con la sinopsis del filme, un comentario a modo de reflexin y oracin final entrando de este modo en un dilogo profundo entre la propuesta cinematogrfica, la realidad que nos interpela y la Palabra de Dios.

Los libros *(ver introduccin)>/introduccion* estn escritos originalmente en ingls, siga estos enlaces para encontrarlos con su portada original.

- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle A> http://www.amazon.com/Lights-Camera-Faith-Lectionary-Scripture/dp/081984490X/*
- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle B> http://www.amazon.com/Lights-Camera-Faith-Lectiomary-Scripture/dp/0819844926/*
- *Lights, Camera, Faith!!: A Movie Lectionary Guide to Scripture, Cycle C> http://www.amazon.com/Lights-Camera-Faith-Lectionary-Scripture/dp/0819845019/*

*MSC Peter Malone>/peterMalone*  ha cedido sus textos para que sean traducidos y
compaginados en espaol a travs de un trabajo colectivo de evangelizacin, con
el objeto de que el producto final pueda ser descargado y distribuido en forma gratuita y sin fines de lucro.

Cmo puedo ayudar en la traduccin?
Cada libro se corresponde con un ciclo litrgico (*Ciclo A>/cicloa*, *Ciclo B>/ciclob*, *Ciclo C>/cicloc*). 
En ellos hay un captulo por cada fiesta,o tiempo durante el ao. Al presionar sobre ese tiempo litrgico, se expande un listado de las pelculas que corresponden a cada domingo de ese tiempo. Si nos posicionamos sobre una de las pelculas, hallaremos la ficha tcnica, comentario, semblanza con la Palabra, oracin y reflexin, separados en prrafos para que el texto pueda ser traducido en su totalidad o por prrafos, de modo que el colaborador pueda moderar su trabajo dentro de sus posibilidades reales de tiempo.

Quien no pueda colaborar con la traduccin puede consultar los textos ya traducidos o descargar documentos con esas versiones castellanas.

Para poder colaborar (*Cmo colaborar>/colaborar*) es necesario registrarse en el sitio a travs de la
pgina de contacto (*Contacto>/contacto*) y as obtener una cuenta que le permitir inscribirse en el
sitio y traducir los prrafos que se encuentren disponibles para dicha traduccin.'; yourself.

	]! !

!PRMGPDistributionOld methodsFor: 'pages' stamp: 'efo 6/26/2012 15:47'!
sessionsPage
	^ sessionsPage ifNil: [
		sessionsPage := (LCFSessions named: 'sessions') 
			title: self headTitle, ' - Usuarios'; 
			localEnvironment: self homeEnvironmentPage;
			yourself.
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
sidechaptertreeWidget
	^ sidechaptertreeWidget ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertree')
		title: 'Side Chapter Tree';
		componentClass: LCFSideChapterTree;
		write: self book using: LCFSideChapterTree descriptionBook;
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
sidechaptertreeWidgetA
	^ sidechaptertreeWidgetA ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertreea')
		title: 'Side Chapter Tree A';
		componentClass: LCFSideChapterTree;
		write: self bookA using: LCFSideChapterTree descriptionBookA;
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
sidechaptertreeWidgetB
	^ sidechaptertreeWidgetB ifNil: [
		sidechaptertreeWidget := (PRComponent named: 'sidechaptertreeb')
		title: 'Side Chapter Tree B';
		componentClass: LCFSideChapterTree;
		write: self bookB using: LCFSideChapterTree descriptionBookB;
		yourself
	]! !

!PRMGPDistributionOld methodsFor: 'structures' stamp: 'efo 6/26/2012 15:47'!
sideglosariosWidget
	^ sideglosariosWidget ifNil: [
		sideglosariosWidget := (PRComponent named: 'sideglosarios')
		title: 'Side Chapter Tree';
		componentClass: LCFSideGlosarios;
	"	write: self book using: LCFSideGlosarios descriptionBook;"
		yourself
	]! !

PRDefaultView subclass: #MGPTemaView
	instanceVariableNames: 'post comment command component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:30'!
chapter
	^ self context  structure! !

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 14:17'!
renderContentOn: html
	| chapter tp |
	"html heading: chapter date."
	"	html heading level: 1; with: chapter film eng.
"
	chapter := self context structure.
	html div: [ 
		chapter fotos do: [ :entry | entry renderContentOn: html placed: chapter title].
	].
! !

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:30'!
renderFileLink: html

	((FileDirectory uri: 'resources/') fileExists: self chapter chapterFileName, '.pdf' ) ifTrue: [
		html anchor 
			url: 'http://lcf.seasidehosting.st/resources/', self chapter chapterFileName, '.pdf';
			title: 'descargar versin castellana';
			with: [ html image url: 'http://lcf.seasidehosting.st/resources/adobe.png'.
					html html: 'descargar' ].
		html break.

	].



! !

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:30'!
renderNavBtn: html
	| prevChap nextChap |	
	prevChap := self context structure parent childrenDecoration children before: self context structure ifAbsent: [].
 	prevChap ifNotNil: [ 
		html anchor goto: (self context structure: prevChap );
					title: prevChap title;
					with: [  (html image)
							title: 'ir';
							url: 'http://lcf.seasidehosting.st/resources/left.png'.
						html html: prevChap title ].
	].

	html break.

	nextChap := self context structure parent childrenDecoration children after: self context structure ifAbsent: [].
 	nextChap ifNotNil: [ 
		html anchor goto: (self context structure: nextChap);
					title: nextChap title;
					with: [ html html: nextChap title.
						(html image)
							title: 'ir';
							url: 'http://lcf.seasidehosting.st/resources/right.png'.
						].
	].! !

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:30'!
renderNavHeadingOn: html with: chapter
	(html div)
		style: 'float: right; margin: 10px;';
		with: [ 
					html text: 'traducido al ' , chapter translationProgress printString , '%'.
					html break.
					self renderFileLink: html.
					self renderNavBtn: html.
					html break.
					(html div)
						style: 'margin: 10px;';
						with: [ chapter poster renderViewOn: html with: self ] ]! !

!MGPTemaView methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 14:30'!
renderUser: html
	self context user
		ifNil: [ html
				text: 'visitante';
				break ]
		ifNotNil: [ html text: 'usuario: ' , self context user name , ' (' , self context user groups any name , ')' ].
	html break.
	html break! !

!MGPTemaView methodsFor: 'testing' stamp: 'efo 6/27/2012 14:30'!
shouldRenderControls
	^ self context user notNil! !

Object subclass: #MGPTemaEntry
	instanceVariableNames: 'picfilename pic picdescription'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

!MGPTemaEntry class methodsFor: 'as yet unclassified' stamp: 'efo 6/27/2012 15:16'!
from: aFile
"	| file |

	[ 
		file := FileStream readOnlyFileNamed: 'LCF\', aFile.
		^ self readChapter: file.

	] ensure: [file close].
		"
		
		
	^ self new picfilename: aFile name! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/27/2012 15:11'!
pic
	^ pic! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/27/2012 15:11'!
pic: anObject
	pic := anObject! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/27/2012 15:12'!
picdescription
	^ picdescription! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/28/2012 16:07'!
picdescription: anObject
	picdescription := anObject! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/27/2012 15:11'!
picfilename
	^ picfilename! !

!MGPTemaEntry methodsFor: 'accessing' stamp: 'efo 6/27/2012 15:11'!
picfilename: anObject
	picfilename := anObject! !

!MGPTemaEntry methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 14:16'!
renderContentOn: html
	| chapter tp |
	"html heading: chapter date."
	"	html heading level: 1; with: chapter film eng.
"

	html div
		attributeAt: 'align' put: 'center';
		style: 'padding: 10px; background: none repeat scroll 0% 0% lightBlue; margin: 10px;';
		with: [ html image height: 300; 
				altText: 'poster'; 
				url:  'http://mgp.seasidehosting.st/resources/temas/', self tema, '/', self picfilename. 

"		html image altText: 'poster'; url:  'V:\LigthCameraFaith\MGPrinting\temas\2010_01_17\IMG_4815.JPG'.
		html image altText: 'poster'; url:  'V:\LigthCameraFaith\MGPrinting\temas\2010_01_17\IMG_4815.JPG'.
"			
		].
! !

!MGPTemaEntry methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 14:18'!
renderContentOn: html placed: tema
	| chapter tp |
	"html heading: chapter date."
	"	html heading level: 1; with: chapter film eng.
"

	html div
		attributeAt: 'align' put: 'center';
		style: 'padding: 10px; background: none repeat scroll 0% 0% lightBlue; margin: 10px;';
		with: [ html image height: 300; 
				altText: 'poster'; 
				url:  'http://mgp.seasidehosting.st/resources/temas/', tema, '/', self picfilename. 

"		html image altText: 'poster'; url:  'V:\LigthCameraFaith\MGPrinting\temas\2010_01_17\IMG_4815.JPG'.
		html image altText: 'poster'; url:  'V:\LigthCameraFaith\MGPrinting\temas\2010_01_17\IMG_4815.JPG'.
"			
		].
! !

Object subclass: #PRMGPDistribution
	instanceVariableNames: 'blog contentsWidget environmentPage metaEnvironmentPage breadcrumbWidget commandsPage googleAnalyticsWidget siteTitlePage sitemapPage stylesheetFile systemManagementPage viewsPage menuWidget loginCommandWidget mainEnvironmentPage childrenWidget postTickerWidget rootPage kernel syntaxPage aboutPage blogArchiveWidget blogEnvironmentPage poweredByPage searchWidget headerPage footerPage shortcutsPage loggedInUserPage designChooserWidget fileSettingsWidget documentWidget systemPage componentsPage templatesPage updateCommandWidget'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

!PRMGPDistribution class methodsFor: 'accessing' stamp: 'efo 6/27/2012 08:59'!
register
	^ self new register! !

!PRMGPDistribution class methodsFor: 'accessing' stamp: 'efo 6/27/2012 08:59'!
title
	"override this method to name the design"
	^'Default'! !

!PRMGPDistribution class methodsFor: 'accessing' stamp: 'efo 6/27/2012 08:59'!
workspaceText

	^
'"----------PIER-----------
Pier is already running at:
http://localhost:8080/pier

The Seaside server administration interface can be reached at: 
http://localhost:8080/config

The default username/password for Pier is admin/pier.
The default username/password for Seaside admin/seaside.

For more information about Pier check:
http://www.piercms.com
-------------------------"

"Web server management"
WAKomEncoded startOn: 8080.
WAKomEncoded stop.

"Memory cleanup"
WARegistry clearAllHandlers.
MCFileBasedRepository flushAllCaches.
Smalltalk garbageCollect.

"In memory persistency (default)"
PRKernel instances anyOne persistency: PRHistoryPersistency new.

"Image persistency (save up to 3 images and in 30 mins after a change)"
PRKernel instances anyOne persistency: (PRImagePersistency new 
											duration: 30 minutes;
											maxImages: 3).
			
"Reset all Pier settings to the original ones"
PRDistribution new register.

"Useful shortcuts"
PRKernel instances anyOne root.'! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
aboutPage
	^ aboutPage ifNil: [
		aboutPage := (PRPage named: 'about')
					title: 'About Pier';
					contents:
'*Pier>http://www.piercms.com* is a content management system that aims at allowing users to manage their content from the browser.

The central concept in Pier is the one of Structure. For example, the current page is a structure. The */blog* is also a structure, but it is slightly different than a page. A file is also a structure.

Commands can be executed on a Structure. For example, a Structure can be edited. In the current setup you can edit this site after logging in (the commands appear in the footer). Once in edit mode, you can use the *syntax*. To make life easier, Pier also offers access to these commands via *shortcuts>http://www.piercms.com/doc/shortcuts*.

Any Structure can be Viewed. The default View is the one that renders the structure for normal usage. Another example, is the Browse View which offers a file system like view on the Pier structures.

Any Structure has an environment which defines the template. For example, the environment of this page is */system/templates* (you have to be logged in to see it). To set the environment to be a different page use the Settings command. To edit the environment use the Edit Design command.

A Structure can contain Widgets. For example, the environment of this page contains a menu widget on top, and a widget that enumerates the children of the current sturcture to the right.

More about Pier can be found at: *http://www.piercms.com*.'
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
breadcrumbWidget
	^ breadcrumbWidget ifNil: [breadcrumbWidget := (PRComponent named: 'breadcrumb')
		componentClass: PRBreadcrumbWidget;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
childrenWidget
	^ childrenWidget ifNil: [childrenWidget := (PRComponent named: 'children')
		componentClass: PRChildrenWidget;
		write: 2
			using: PRChildrenWidget descriptionLevel;
		write: true
			using: PRChildrenWidget descriptionExpand;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 12:44'!
colaborarPage
	^ (PRPage named: 'colaborar') 
			title: 'Colaborar'; 
			localEnvironment: self mainEnvironmentPage;
			contents: 
'Para poder colaborar es necesario registrarse, por favor siga los pasos indicados en *Contacto>/contacto*.

Una vez obtenido un usuario y habindose logeado en el sitio podr observar controles al lado de cada prrafo editable.

|Use|+http://lcf.seasidehosting.st/resources/edit.png+|para acceder al dilogo de edicin del prrafo adyacente.|

El dilogo le ofrecer el texto del prrafo en ingls, una traducin automtica aproximada del texto realizada por el traductor de google y un cuadro de edicin en el que introducir el texto en castellano correspondiente.

Luego puede aceptar o cancelar.

|Use|+http://lcf.seasidehosting.st/resources/flag_red.png+|para asentar un comentario para el corrector.|

Se ofrecer un cuadro de texto en el que ingresar el comentario y un panel con la historia de comentarios anteriores y sus autores.

Puede usar el boton "Agregar" para incluir su comentario en la historia o presionar la tecla Esc para abandonar el dilogo.
'; yourself.! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
commandsPage
	^ commandsPage ifNil: [
		commandsPage := (PRPage named: 'commands') 
		addChild: ((PRComponent named: 'widget') componentClass: PRCommandsWidget; yourself);
		contents: 'Commands: +widget+';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
componentsPage
	^ componentsPage ifNil: [
		componentsPage := (PRPage named: 'components')
		contents: '+value:children|link+';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 12:44'!
contactoPage
	^ (PRPage named: 'contacto') 
			title: 'Contacto'; 
			localEnvironment: self mainEnvironmentPage;
			contents: 
'La *Comunidad Barat>http://www.comunidadbarat.org/* le da la bienvenida a este emprendimiento comunitario.

Para poder colaborar es necesario registrase gestionando una cuenta que le permita interactuar en el sitio.
Una vez logeado podr navegar los captulos e ir traduciendo los prrafos.

Para poder realizar esta operacin y obtener un usuario por favor escriba a emilioOca@gmail.com
'; yourself.! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
contentsWidget
	^ contentsWidget ifNil: [
		contentsWidget := (PRComponent named: 'contents')
		componentClass: PRContentsWidget;
		write: '' using: PRContentsWidget descriptionHeading;
		yourself
	].! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
designChooserWidget
	^ designChooserWidget ifNil: [designChooserWidget := (PRComponent named: 'designchooser')
		componentClass: PRDesignChooserWidget;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:58'!
documentWidget
	^ documentWidget ifNil: [
		documentWidget := (PRComponent named: 'sidebar')
		title: 'Sidebar Document';
		componentClass: PRDocumentWidget;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
environmentPage
	^ environmentPage ifNil: [
		environmentPage := (PRPage named: 'environment')
		title: '_Environment';
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-24 last mainbody">
		<h1 class="heading">}}}+>value:structure|level=2+{{{</h1>
		<h1>}}}+>value:structure|level=0|lower=3+{{{</h1>
		<div class="column span-12 contents">
			}}}+/system/components/contents+{{{
		</div>
		<div class="column span-6 prepend-6 last sidebar">
			<h2>Navigation</h2>
			}}}+/system/components/children+{{{
		</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
footerPage
	^ footerPage ifNil: [
		footerPage := (PRPage named: 'footer')
		contents:
'{{{<div class="footer column span-24 last">
	<div class="column span-18">
		}}}+/system/components/justlogincommand+
		+/system/components/loggedinuser+{{{
		<div class="commands">}}}+/system/components/commands+{{{</div>
		<div class="views">}}}+/system/components/views+{{{</div>
		<div class="sitemap">}}}+/system/components/sitemap+{{{</div>
	</div>
	<div class="column span-6 last">}}}+/system/components/poweredby+{{{</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
googleAnalyticsWidget
	^ googleAnalyticsWidget ifNil: [ 
		googleAnalyticsWidget := (PRComponent named: 'googleanalytics')
		title: 'Google Analytics';
		componentClass: PRGoogleAnalyticsWidget
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 09:04'!
headTitle
	^ 'Ma Gabriela Printing'.! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 13:18'!
headerPage
	^ headerPage ifNil: [
		headerPage := (PRPage named: 'header')
		contents:
'{{{<div class="column span-24 last header">
	<div class="menu">}}} anuncie aqui su encabezado {{{</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 12:44'!
introduccionPage
	^ (PRPage named: 'introduccion') 
			title: 'Introduccin'; 
			localEnvironment: self mainEnvironmentPage;
			contents: '!!Prlogo

''''Algunos somos cientificos. Algunos matemticos. Algunos, filsofos. Todos somos narradores. Nos gusta escuchar y contar historias.''''

''''Cuando la Palabra se hizo carne, Jess apareci en la Tierra, alguno dir en forma de historia. El naci. El vivi tranquilamente en Nazaret antes de embarcarse en la misin de predicar las noticias de Dios sobre arrepentimiento, el perdn de los pecados y la venida de Dios en la Tierra. l sufri, muri y, como una dimension nueva en la historia humana, resucit de entre los muertos. Con la muerte, acept la voluntad de su Padre, y su Padre, al recibirlo, como muestra de amor, lo volvi a la vida.''''

''''Esa es nuestra historia Cristiana.''''

''''Domingo a domingo, festividad tras festividad, escuchamos los captulos de esa historia. A veces nos parece familiar. A veces un poco diferente. Debemos tener la posibilidad de abrir las escrituras para un entendimiento mayor y poder profundizar nuestra fe.''''

''''"Luz, Cmara, F!!" esta diseado para ayudarnos a apreciar las historias del Evangelio y otras lecturas que han sido seleccionadas para acompaarlas. Como mtodo, se toman pelculas populares, y se crea un dialogo entre dichas pelculas y los Evangelios. La historia de una pelcula y los temas pueden iluminar el Evangelio, a veces en forma de paralelismo, en otras ocasiones como un contraste. La historia del Evangelio nos puede ayudar a encontrar niveles mas profundos en el significado de la pelcula.''''

...

MSC Peter Malone'; yourself.! !

!PRMGPDistribution methodsFor: 'creation' stamp: 'efo 6/28/2012 15:43'!
kernel
	^ kernel ifNil: [
		kernel := PRKernel named: 'Ma Gabriela Printing'.
		kernel propertyAt: #adminUser ifAbsentPut: [
		(PUUser named: 'adminMgp')
			addGroup: kernel adminGroup;
			password: 'mgp';
			superuser: true;
			yourself ].
		kernel root: self root.
		kernel
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
loggedInUserPage
	^ loggedInUserPage ifNil: [
		loggedInUserPage := (PRPage named: 'loggedinuser') 
		addChild: ((PRComponent named: 'widget') componentClass: PUSecurityWidget; yourself);
		contents: 'Logged in as +value:user+ (+widget+?)';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
loginCommandWidget
	^ loginCommandWidget ifNil: [
		loginCommandWidget := (PRComponent named: 'justlogincommand')
		title: 'Just Login Command';
		componentClass: PRCommandsWidget;
		write: (Array with: PULogin) using: PRCommandsWidget descriptionCommandClasses ;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/28/2012 14:13'!
mainEnvironmentPage
	^ mainEnvironmentPage ifNil: [
		mainEnvironmentPage := (PRPage named: 'mainenvironment')
		title: '_Main Environment';
		contents: 
'{{{<div class="container">
	}}}+/system/components/header+{{{
	<div class="column span-24 last mainbody">
		<h1 class="heading">}}}+value:structure+{{{</h1>
		<div class="contents column span-19">}}}+/system/components/contents+{{{</div>
		<div class="postticker column span-5 last">
			<h2>
			}}}
			+/system/components/menu+
			+/system/components/sidebar+
			{{{</h2>
		</div>
	</div>
	}}}+/system/components/footer+{{{
</div>}}}
+/system/components/googleanalytics+
';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'rights' stamp: 'efo 6/27/2012 08:58'!
makePrivate: aStructure

	aStructure securityDecoration owner: self kernel users anyOne.
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: self kernel groups anyOne.
! !

!PRMGPDistribution methodsFor: 'rights' stamp: 'efo 6/27/2012 08:58'!
makePublic: aStructure

	aStructure securityDecoration owner: self kernel users anyOne.
	aStructure securityDecoration otherPermissions: Set new.
	aStructure securityDecoration group: self kernel groups anyOne.
! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/28/2012 15:05'!
menuPage
	^ menuWidget ifNil: 
		[ menuWidget := (PRPage named: 'menu')
		"	addChild: ((PRComponent named: 'pc') componentClass: LCFProximoChapter; yourself);"
			contents:
'- *Home>/*
- +/system/components/justupdatecommand+
+value:children|target=/system/components/menu|link+
';
			yourself ]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
metaEnvironmentPage
	^ metaEnvironmentPage ifNil: [
		metaEnvironmentPage := (PRPage named: 'metaenvironment')
		title: '_Meta Environment';
"		hideFromMenus: true;"
		contents: '{{{<div class="container metaenvironment">
	<div class="span-24 last metaheader">
		Meta page: }}}+/system/components/breadcrumb+{{{
	</div>
	<div class="span-24 last">
		}}}+/system/components/contents+{{{
	</div>
	<div class="span-24 last metafooter">
		<div class="span-10">}}}+/system/components/commands+{{{</div>
		<div class="span-10 last">}}}+/system/components/sitemap+{{{</div>
	</div>
</div>}}}';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
poweredPage
	^ poweredByPage ifNil: [poweredByPage := (PRPage named: 'poweredby')
		title: 'Powered By';
		contents: 
'Powered by *Pier>http://www.piercms.com*';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 12:44'!
proyectoPage
	^ (PRPage named: 'proyecto') 
			title: 'Proyecto'; 
			localEnvironment: self mainEnvironmentPage;
			contents: 
'Este proyecto surge en el seno de la *Comunidad Barat>http://www.comunidadbarat.org/* con la intencin de acercar a sus miembros el anuncio de la Palabra desde los medios audio visuales.

Colaborando desinteresadamente logramos desarrollar este espacio, que ahora abrimos a todas las comunidades, y tiene como finalidad la traducion de los textos y su compilacin final en espaol en un docuemto electrnico que pueda ser descargado libremente y sin fines de lucro.

Peter Malone, sacerdote, crtico de cine y autor de los tres libros, cedi generosamente los textos originales y di su autorizacin para la publicacion final en espaol.

Para poder colaborar es necesario registrase, por favor siga los pasos indicados en *Contacto>/contacto*.

'; yourself.! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/28/2012 14:37'!
register 
	| app authConf config |
	PRKernel reset.
"	self kernel adminUser password: 'mgp'."
	app := ( PRPierFrame 
				registerAsApplication: 'mgp'
				kernel: self kernel).

	"segurizamos la app de configuracion"
	self secureConfig: ( app parent handlerAt: 'config' ) user: 'adminMgp' pass: 'mgp'.
	
	" se configura como default"
	app parent defaultName: app name.
	
"	app preferenceAt: #sessionClass put: LCFSession."
	app preferenceAt: #resourceBaseUrl put: 'http://lcf.seasidehosting.st/resources/'.
	app preferenceAt: #serverPath put: '/mgp'. 
	

	"scriptaculous"				 
	app addLibrary: PTDeploymentLibrary .
	app addLibrary: SUDeploymentLibrary .
	app addLibrary: SUAllTestLibrary.
	
	"jQuery"
	app addLibrary: JQDeploymentLibrary.
	app addLibrary: JQUiDeploymentLibrary.

	app addLibrary: LCFDeploymentLibrary.
! !

!PRMGPDistribution methodsFor: 'creation' stamp: 'efo 6/27/2012 08:58'!
replaceRoot
	kernel := PRKernel instances anyOne.
	kernel root: self root! !

!PRMGPDistribution methodsFor: 'creation' stamp: 'efo 6/28/2012 15:05'!
root
	self rootPage

		addChild: (self aboutPage
				addChild: self syntaxPage;
				yourself);
		addChild: (self systemPage
			addChild: (self componentsPage
				addChild: self headerPage;
				addChild: self siteTitlePage;
				addChild: self footerPage;
				addChild: (self menuPage 
					addChild: self contactoPage;
					addChild: self colaborarPage;
					addChild: self proyectoPage;
"					addChild: self peterPage;"
					addChild: self introduccionPage;
					yourself);
				addChild: self childrenWidget;
				addChild: self breadcrumbWidget;
				addChild: self googleAnalyticsWidget;
				addChild: self sitemapPage;
				addChild: self viewsPage;
				addChild: self commandsPage;
				addChild: self loginCommandWidget;
				addChild: self updateCommandWidget;
				addChild: self contentsWidget;
				addChild: self stylesheetFile;
				addChild: self searchWidget;
				addChild: self poweredPage;
				addChild: self loggedInUserPage;
				addChild: self designChooserWidget;
				addChild: self documentWidget;
				yourself);
			addChild: self systemManagementPage;
			addChild: (self templatesPage
				addChild: self environmentPage;
				addChild: self mainEnvironmentPage;
				addChild: self metaEnvironmentPage;
				yourself
			);
			yourself
		).
	self rootPage localEnvironment: self mainEnvironmentPage.
	self aboutPage localEnvironment: self environmentPage.
	self environmentPage localEnvironment: self metaEnvironmentPage.
	self mainEnvironmentPage localEnvironment: self metaEnvironmentPage.
	self metaEnvironmentPage localEnvironment: self metaEnvironmentPage.
	self systemManagementPage localEnvironment: self metaEnvironmentPage.
	self rootPage localStyleSheet: self stylesheetFile.
	self rootPage enumerator
		with;
		all;
		do: 
			[ :each | 
			each securityDecoration owner: self kernel users anyOne.
			each securityDecoration group: self kernel groups anyOne ].
	self makePrivate: self systemPage.
	self makePrivate: self environmentPage.
	self makePrivate: self mainEnvironmentPage.
	self makePrivate: self metaEnvironmentPage.
	self makePrivate: self sitemapPage.
	self makePrivate: self viewsPage.
	self makePrivate: self commandsPage.
	self makePrivate: self systemManagementPage.
	self makePrivate: self loggedInUserPage.
"	self makePrivate: self updateCommandWidget."
	^ self rootPage! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 13:51'!
rootPage
	^ rootPage ifNil: [
		rootPage := (PRPage named: 'mgp')	
			title: self headTitle; 
			propertyAt: 'distro' put: self;
			localEnvironment: self mainEnvironmentPage;
			contents:
'
!!Sobre la Artista

Mara Gabriela Agero (mgaguero(a)gmail.com) nace en 1973 en Capital Federal, Repblica Argentina. A los 18 aos comienza sus estudios en el Taller del Maestro Helios Gagliardi. Desde 1994 desempea tareas docentes en Escuelas de artstica, y en diversos niveles y ramas de la enseanza, realizando investigaciones pedaggicas y proyectos educativos integrados insertos en la pedagoga de la Educacin por el Arte. Es becada por la E. N. de Bellas Artes Prilidiano Pueyrredn para estudiar con Alicia Scavino y luego con Alicia Daz Rinaldi. Ha estudiado con los maestros: Vctor Davobe, Adrin Giachetti, Helios Gagliardi, Lapo Chirich y Norma Villarreal, de quien aprende la tcnica de la monocopia.


!!Formacin Acadmica 

- Maestra en Artes Visuales, Escuela Municipal de Bellas Artes Carlos Morel (Quilmes, 1995). 
- Profesora Nacional de Grabado, Escuela Nacional de Bellas Artes P. Pueyrredn I.U.N.A.(1998). 
- Realiz el C.B.C. y materias para Licenciatura en Artes, U.B.A.

!!Muestras Individuales

2006 
- Centro Cultural El Garage. Haedo. Monocopias. 
- Centro Cultural L. Marechal. Hurlingham. Monocopias 
- Municipalidad de Morn. Arte con la gente. Dibujos, grabados y pinturas. 

2004 
- Galera de Exposiciones de ACIM, Morn: Dibujos y Pinturas 
- Universidad Tecnolgica Nacional, Sede Medrano: Grabados. 
- Universidad Nacional de Lomas de Zamora, Facultad de Ciencias Econmicas.: Pinturas y Dibujos

!!Premios Obtenidos
 
2007 
- Participacin en: Saln Municipal Manuel Belgrano. Monocopia. 
- 1 Premio en grabado: Saln Casal de Catalunya. 
2006 
- 1 Premio en grabado: Saln de Pequeo Formato, SAAP 
- 1 Premio en dibujo: Saln Galera R Van R 
- 2 Premio en grabado: Galera Visual XXI 
- Participacin en: Saln Municipal de San Fernando, Saln Arches Museo del Papel, Saln de Artes Visuales P. Pueyrredn, Bienal de Grabado Municipalidad de Avellaneda. 
2005 
- Participacin en: Saln Nacional de Artes Visuales 
- 1 Premio en grabado: Saln Anual Biblioteca B Rivadavia V Ballester 
- 3 Premio en grabado: Saln Artistas Plsticos de San Isidro 
- Mencin nica en Grabado: Saln de Artes Visuales P. Pueyrredn 
- Participacin en: Saln Municipal de San Fernando, Saln Arches Museo del Papel, Saln de Pequeo Formato SAAP 
2004 
- 2 Premio en grabado: Saln el Refugio, Castelar 
- 2 Premio en grabado: II Saln de Verano: Desde la Plstica 
- Distincin Especial en Grabado: VII Saln Arte del Tercer Milennium, Loft Espacio Alfa 
- 3 Premio en grabado: Saln de Pequeo Formato, SAAP 
- 3 Premio en grabado: Saln Primavera 2004, Arte XXI, Academia Argentina del Lunfardo 
- Mencin del Jurado en Grabado: Saln Municipal de San Fernando 
2003 
- 2 Premio en dibujo y 2 Premio en grabado: Saln Anual Biblioteca B Rivadavia V Ballester 
- 2 Premio en grabado: Saln Aniversario Soc. Estmulo de Bellas Artes de R. Meja 
- 2 Premio en dibujo: 4 Saln de Pequeo Formato Ateneo Popular E. Echeverra de San Fernando 1995 
- 3 Premio en Grabado: Saln LYS de Arte Joven '; yourself.

	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
searchWidget
	^ searchWidget ifNil: [
		searchWidget := (PRComponent named: 'search')
		componentClass: PRAjaxSearchWidget;
		write: ( PRStructure withAllConcreteClasses reject: [:each | each = PRPage or: [each = PBPost]] ) using: PRAjaxSearchWidget descriptionFilter ;
		yourself
	].! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 09:16'!
secureConfig: config user: user pass: pass
	| authConf |

	authConf := WAAuthConfiguration instance.
	
	(config configuration parents includes: authConf) ifFalse: [ 
		config configuration addParent: authConf.
		config addFilter: WAAuthenticationFilter new.
	].

	config preferenceAt: #login put: user;
                 preferenceAt: #passwordHash put: ( GRPlatform current secureHashFor: pass ).
				
! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
siteTitlePage
	^ siteTitlePage ifNil: [
		siteTitlePage := (PRPage named: 'sitetitle')
		title: 'Site Title';
		contents: '!!*Your Pier>/*';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
sitemapPage
	^ sitemapPage ifNil: [
		sitemapPage := (PRPage named: 'sitemap')
		addChild: ((PRComponent named: 'widget')
				componentClass: PRTreeWidget;
				yourself);
		contents:
'Sitemap
+widget+'
	]! !

!PRMGPDistribution methodsFor: 'mgp' stamp: 'efo 6/27/2012 09:06'!
stylesheetFile
	^ stylesheetFile ifNil: [
		stylesheetFile := (PRFile named: 'defaultCss')
		filename: 'style.css';
		mimetype: 'text/css';
		contents: 
'/* HEADER */
.icon a {outline: none; background: white;}
.search input.text {
	border: 1px solid white;
	color: black;}
.search input.text:focus {
	border: 1px solid #ff6633;
	color: black;}
.search input {
	color: #ff6633;
	font-size: 1em;
	outline: none;
	width: 98%;
	border: 0;
	margin-top: 0.1em;
	padding: 0.3em;
	padding-top: 0;
	background: 0;}
.search ul {
	margin: 0;
	padding: 0;
	background: white;
	list-style-type: none;
	border: 1px solid #ff6633;
	border-top: 0;}
.search li.selected a {color: #fff;}
.search li.selected {
	background-color: #ff6633;
	color: white;}
.search li {
	margin: 0;
	display: block;
	padding: 0.2em;
	cursor: pointer;
	list-style-type: none;}
.menu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	list-style-type: none;}
.menu ul li {
	display: inline;
	margin: 0;
	margin-right: 1.5em;
	list-style-type: none;}
.menu li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.5em;
	padding-bottom: 0.3em;}
.menu li a.active {
	color: white;
	background: #ff6633;}

.userCommandMenu ul {
	margin: 0;
	margin-top: 0.2em;
	padding-bottom: 0.2em;
	margin-bottom: 1em;
	list-style-type: none;}
.userCommandMenu ul li {
	display: inline;
	margin: 0;
	margin-right: 0.9em;
	list-style-type: none;}

/*BLOG*/
div.post {margin-bottom: 4.5em;}
div.comment {margin-bottom: 3em;}
.meta {font-size: 80%; color: #aaa;}
.leavecomment {margin-top: 4.5em; margin-bottom: 4.5em;}
.comments {margin-top: 4.5em;}


/* NAVIGATION */
.sidebar ul {
	margin-top: 0;
	margin-left: 0;
	list-style-type: none;}
.sidebar ul ul {
	margin-bottom: 0;
	margin-left: 1.5em;}
.sidebar ul li {
	margin-top: 1.5em;}
.sidebar ul li a {
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.3em;
	padding-bottom: 0.3em;}
.sidebar p,
.sidebar h1, .sidebar h2, .sidebar h3,
.sidebar .postticker .timestamp,
.sidebar .postticker .summary {padding-left: 0.3em;}
.sidebar .active,

/*MAIN BODY*/
.mainbody {
	padding-top: 4em;
	padding-bottom: 15em;}
.postticker ul {
	font-size: 80%;
	color: #aaa;
	list-style: none;
	margin-left: 0;}
.postticker ul li {
	margin-bottom: 1.5em;}
.postticker .timestamp {color: #aaa; font-size: 80%;}
.postticker .subscribe,
.postticker .timestamp .time,
.postticker .timestamp .author {display: none;}
.postticker a.post {color: #aaa;}


/* FOOTER */
.footer {
	color: #aaa;
	font-size: 80%;
	text-align: left;}
.footer a { color: #aaa;}
.footer ul {list-style: none; margin-left: 0em;}
.footer ul ul {margin-left: 1.5em;}
.footer .commands ul, .footer .views ul {display: inline;}
.footer .commands ul li, .footer .views ul li {display: inline; padding-right: 1em;}


/* META */
.metaenvironment h1.heading {display: none;}
.metaheader {background: #C3D9FF; font-size: 200%}
.metaheader ul {display: inline; margin: 0;}
.metaheader li {list-style: none; display: inline; margin: 0;}
.metaheader li:after {content: "/"}
.metaenvironment.container {border: 1px solid #C3D9FF; margin-top: 0;}
.metafooter {background: #C3D9FF;}
.metafooter li {list-style: none;}


/*DEFAULT*/
body {
	margin-top: 0;
	font: 14px Lucida Grande,Verdana,Arial,Helvetica,sans serif
}
h1, h2, h3, h4, h5, h6 { margin: 0; font-weight: inherit; font-size: 100%; line-height: inherit; }
h1.heading { font-size: 2em; margin-bottom: 1.5em; }
h1 { font-size: 1.5em; line-height: 1; margin-bottom: 1em; }
.maincontents {font-size: 1.5em;}
h2 { font-size: 1.2em; height: 1.25em; line-height: 1.25; margin-bottom: 1.25em; }
h3 { font-size: 1em; font-weight: bold; margin-bottom: 1.5em; }
h4 { font-size: 1em; font-weight: bold; }
h5 { font-size: 1em; }
textarea {width: 100%;}
input.text, input.password {width: 200px;}
input[type="button"], input[type="submit"], input[type="reset"], input[type="file"], button { margin-left: 0.5em;}


/* PIER */
.broken { color: red; font-weight: bold;}
.protected { color: #aaa; }
a {color: #ff6633;}
a:hover {
	color: white;
	background: #ff6633; }
a:hover.nobackground {background: white;}
a.view, a.command {color: gray;}
a {text-decoration: none;}
a.environment:after {content: "*";}
.right {text-align: right;}
.left {text-align: left;}
.center {text-align: center;}
.float {float: right;}
.nobullets ul {list-style: none; margin-left: 0;}
.nobullets ul li {list-style: none; margin-left: 0;}
tr th {background: #eee; font-weight: normal;}
label {font-weight: normal;}
tr.group th {background: white; font-size: 1em; font-weight: bold; margin-top: 1.5em; }
td.required:after {color: #ff6633; content: "*"; margin-left: 0.5em;}

/* JQueryDialog support */
element.style {
    height: auto;
    min-height: 100px;
    width: auto;
    display: block;
    left: 394px;
    outline: 0 none;
    top: 418px;
    z-index: 1002;
}
.ui-helper-clearfix:after {
    clear: both;
    content: ".";
    display: block;
    height: 0;
    visibility: hidden;
}

.ui-draggable .ui-dialog-titlebar {
    cursor: move;
}

.ui-dialog .ui-dialog-titlebar {
    padding: 0.5em 1em 0.3em;
    position: relative;
}
.ui-corner-all {
    border-radius: 4px 4px 4px 4px;
}
.ui-widget-header {
    background: url("images/ui-bg_highlight-soft_75_cccccc_1x100.png") repeat-x scroll 50% 50% #CCCCCC;
    border: 1px solid #AAAAAA;
    color: #222222;
    font-weight: bold;
}
.ui-helper-clearfix {
    display: block;
}
.ui-widget {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1.1em;
    background: lightGray;
}


.ui-dialog .ui-dialog-content {
    background: #fffff0;
    border: 0 none;
    overflow: auto;
    padding: 0.5em 1em;
}
.ui-widget-content {
    background: url("images/ui-bg_flat_75_ffffff_40x100.png") repeat-x scroll 50% 50% #FFFFFF;
    border: 1px solid #AAAAAA;
    color: #222222;
}
.ui-dialog {
    overflow: hidden;
    padding: 0.2em;
    position: absolute;
    width: 500px;
}

#flag-dialog-comments {
    background: none repeat scroll 0 0 #eeffcc;
    margin-top: 1em;
    padding: 1em;
    border-radius: 6px;
}

.flag-comment-content {
	margin-bottom: 0;
}
.flag-comment-user{
    font-style: Italic;
    margin-bottom: 0.5em;
	text-align: right;
}

.change-text {
	padding-left: 10px; 
	padding-top: 5px;
	padding-right: 10px; 
	color: blue;
	font-size: 104%;
}
.change-user {
    background-image: url("http://lcf.seasidehosting.st/resources/arrow_up.png");
    background-position: left top;
    background-repeat: no-repeat;
    font-size: 104%;
    font-weight: bold;
    margin-left: 50px;
    min-height: 50px;
    padding-right: 60px;
    padding-top: 5px;
}

';
		yourself]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
syntaxPage
	^ syntaxPage ifNil: [
		syntaxPage := PRKernel defaultInfoSyntax].! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
systemManagementPage
	^ systemManagementPage ifNil: [
		systemManagementPage := (PRPage named: 'management')
		title: 'Management';
		addChild: ((PRComponent named: 'users')
				componentClass: PUUsersWidget;
				yourself);
		addChild: ((PRComponent named: 'groups')
				componentClass: PUGroupsWidget;
				yourself);
		addChild: ((PRComponent named: 'persistency')
				componentClass: PRPersistencySettings;
				yourself);
		addChild: ((PRComponent named: 'kernel')
				componentClass: PRKernelSettings;
				yourself);
		addChild: ((PRComponent named: 'file')
				componentClass: PRFileSettings;
				yourself);
		contents: '!!Users
+users+

!!User Group
+groups+

!!Persistency
+persistency+

!!Kernel Settings
+kernel+

!!File Settings
+file+';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
systemPage
	^ systemPage ifNil: [
		systemPage := (PRPage named: 'system')
		contents: '+value:children|link+';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
templatesPage
	^ templatesPage ifNil: [
		templatesPage := (PRPage named: 'templates')
		contents: '+value:children|link+';
		yourself
	]! !

!PRMGPDistribution methodsFor: 'creation' stamp: 'efo 6/28/2012 15:29'!
update
	| newChaps file line |
	
	self menuPage childrenDecoration children do: [ :each | each remove ].

	((FileDirectory default / 'resources' / 'temas' ) entries select: [:entry | entry isDirectory ]) do: [ :tema |
		self menuPage addChild: (MGPTema from: tema).
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/28/2012 14:59'!
updateCommandWidget
	^ updateCommandWidget ifNil: [
		updateCommandWidget := (PRComponent named: 'justupdatecommand')
		title: 'Update';
		componentClass: PRCommandsWidget;
		write: (Array with: MGPUpdate) using: PRCommandsWidget descriptionCommandClasses ;
		yourself
	]! !

!PRMGPDistribution methodsFor: 'structures' stamp: 'efo 6/27/2012 08:59'!
viewsPage
	^ viewsPage ifNil: [
		viewsPage := (PRPage named: 'views')
		addChild: ((PRComponent named: 'widget')
				componentClass: PRViewsWidget;
				yourself);
		contents: 'Views: +widget+'
	]! !

PUChangeUser subclass: #MGPUpdate
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EFO-MGP-Model'!

!MGPUpdate class methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 14:43'!
isAbstract
	^ false! !

!MGPUpdate class methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 15:08'!
isValidIn: aContext
	^ aContext isLoggedIn! !

!MGPUpdate class methodsFor: 'as yet unclassified' stamp: 'efo 6/28/2012 15:10'!
label
	^ 'Actualizar'! !

!MGPUpdate methodsFor: 'testing' stamp: 'efo 6/28/2012 14:44'!
doExecute
	super doExecute.
	(self context root propertyAt: 'distro') update
	! !

!MGPUpdate methodsFor: 'testing' stamp: 'efo 6/28/2012 14:43'!
isQuick
	^ true! !
